IOSS 2.0

Functions
anonymous_namespace{Ioss_Region.C} Namespace Reference

## Functions
const std::string | id_str ()
const std::string | db_name_str ()
const std::string | orig_topo_str ()
const std::string | orig_block_order ()
template<typename T >
size_t | get_variable_count (const std::vector< T > &entities)
template<typename T >
int64_t | get_entity_count (const std::vector< T > &entities)
void | check_for_duplicate_names (const Ioss::Region *region, const Ioss::GroupingEntity *entity)
constexpr unsigned | numberOfBits (unsigned x)
size_t | compute_hash (Ioss::GroupingEntity *entity, size_t which)
template<typename T >
void | compute_hashes (const std::vector< T > &entities, std::array< size_t, Ioss::entityTypeCount > &hashes, Ioss::EntityType type)
bool | check_hashes (const std::vector< size_t > &min_hash, const std::vector< size_t > &max_hash, Ioss::EntityType type)
template<typename T >
void | report_inconsistency (const std::vector< T > &entities, Ioss::ParallelUtils &util)
bool | check_parallel_consistency (const Ioss::Region &region)
bool | is_input_or_appending_output (const Ioss::DatabaseIO *iodatabase)

## Function Documentation

## ◆ check_for_duplicate_names()

void anonymous_namespace{Ioss_Region.C}::check_for_duplicate_names | ( | const Ioss::Region * | region,
|  | const Ioss::GroupingEntity * | entity
| ) |  |

## ◆ check_hashes()

bool anonymous_namespace{Ioss_Region.C}::check_hashes | ( | const std::vector< size_t > & | min_hash,
|  | const std::vector< size_t > & | max_hash,
|  | Ioss::EntityType | type
| ) |  |

## ◆ check_parallel_consistency()

bool anonymous_namespace{Ioss_Region.C}::check_parallel_consistency | ( | const Ioss::Region & | region | ) |

## ◆ compute_hash()

size_t anonymous_namespace{Ioss_Region.C}::compute_hash | ( | Ioss::GroupingEntity * | entity,
|  | size_t | which
| ) |  |

## ◆ compute_hashes()

template<typename T >

void anonymous_namespace{Ioss_Region.C}::compute_hashes | ( | const std::vector< T > & | entities,
|  | std::array< size_t, Ioss::entityTypeCount > & | hashes,
|  | Ioss::EntityType | type
| ) |  |

## ◆ db_name_str()

const std::string anonymous_namespace{Ioss_Region.C}::db_name_str | ( |  | ) |

## ◆ get_entity_count()

template<typename T >

int64_t anonymous_namespace{Ioss_Region.C}::get_entity_count | ( | const std::vector< T > & | entities | ) |

## ◆ get_variable_count()

template<typename T >

size_t anonymous_namespace{Ioss_Region.C}::get_variable_count | ( | const std::vector< T > & | entities | ) |

## ◆ id_str()

const std::string anonymous_namespace{Ioss_Region.C}::id_str | ( |  | ) |

## ◆ is_input_or_appending_output()

bool anonymous_namespace{Ioss_Region.C}::is_input_or_appending_output | ( | const Ioss::DatabaseIO * | iodatabase | ) |

## ◆ numberOfBits()

constexpr unsigned anonymous_namespace{Ioss_Region.C}::numberOfBits | ( | unsigned | x | ) |
| constexpr

## ◆ orig_block_order()

const std::string anonymous_namespace{Ioss_Region.C}::orig_block_order | ( |  | ) |

## ◆ orig_topo_str()

const std::string anonymous_namespace{Ioss_Region.C}::orig_topo_str | ( |  | ) |

## ◆ report_inconsistency()

template<typename T >

void anonymous_namespace{Ioss_Region.C}::report_inconsistency | ( | const std::vector< T > & | entities,
|  | Ioss::ParallelUtils & | util
| ) |  |